Bug 57987 - MAILMAN_OWNER mis-interpolated with default mm_cfg.py
MAILMAN_OWNER mis-interpolated with default mm_cfg.py
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2002-01-04 09:13 EST by Michael K. Johnson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-10 15:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 2002-01-04 09:13:28 EST
In Defaults.py, we have
DEFAULT_HOST_NAME   = 'localhost.localdomain'
MAILMAN_OWNER     = 'mailman-owner@%s' % DEFAULT_HOST_NAME

Then in mm_cfg.py, the user is expected to override DEFAULT_HOST_NAME with
DEFAULT_HOST_NAME = 'mailserver.example.com'
but MAILMAN_OWNER had already been interpolated with
'localhost.localdomain' -- meaning, for example, that when the
password reminders go out, they go out with

  If you have questions, problems, comments, etc, send them to
  mailman-owner@localhost.localdomain.  Thanks!

even though DEFAULT_HOST_NAME has been set

Therefore, in the mm_cfg.py we ship, we should include both
a sample setting of DEFAULT_HOST_NAME, and then AFTER THAT LINE,
we should also copy in the
MAILMAN_OWNER     = 'mailman-owner@%s' % DEFAULT_HOST_NAME
line from Defaults.py so that MAILMAN_OWNER gets re-interpolated
with the newly, correctly-set DEFAULT_HOST_NAME

While it is possible for users to track this bug down and fix it
(I did...) it is a pain and the pain would be entirely removed
by this simple action.
Comment 1 Nalin Dahyabhai 2002-04-05 17:41:21 EST
Fixing for 2.0.9-1.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.